## lksctp-tools 1.0.6.dfsg

=== test/Makefile ===
ifndef LKSCTP_LINUX
LKSCTP_LINUX=../../lksctp-2.6
endif
ROOT=${LKSCTP_LINUX}/net/sctp
INCLUDE=./linux/include
INCLUDE_USR=../src/include
INCLUDE_LINUX=${LKSCTP_LINUX}/include/linux
INCLUDE_SCTP=${LKSCTP_LINUX}/include/net/sctp

MACH_INCLUDES=${LKSCTP_LINUX}/include/asm-i386/mach-default
INCLUDES=-I. -I${INCLUDE} -I${LKSCTP_LINUX}/include -I${MACH_INCLUDES}
USER_INCLUDES=-I. -I${INCLUDE_USR}

WARNINGS=-Wall -Wstrict-prototypes -Wimplicit-function-declaration

CFLAGS=-g ${INCLUDES} ${WARNINGS} -DTEST_FRAME=1 \
		-D__KERNEL__=1 -DSCTP_DEBUG=1 -DSCTP_STATIC= -DKBUILD_BASENAME=

V6FLAGS=-DCONFIG_IPV6=1 -DTEST_V6=1 

USER_CFLAGS=-g ${WARNINGS} ${USER_INCLUDES}

LIBRARY_OBJECTS= kernel_funutil.o kernel_funutil_v6.o

include ${LKSCTP_LINUX}/.config

COMMON_OBJECTS= \
	sm_statetable.o \
	sm_statefuns.o \
	sm_sideeffect.o \
	protocol.o \
	\
	endpointola.o \
	associola.o \
	transport.o \
	sm_make_chunk.o \
	chunk.o \
	inqueue.o \
	outqueue.o \
	tsnmap.o \
	ssnmap.o \
	ulpevent.o \
	ulpqueue.o \
	\
	socket.o \
	primitive.o \
	output.o \
	input.o \
	\
	command.o \
	bind_addr.o \
	\
	debug.o \
	proc.o \

ifdef CONFIG_IPV6	
COMMON_OBJECTS += ipv6.o
endif

ifdef CONFIG_SCTP_ADLER32
COMMON_OBJECTS += adler32.o
else
COMMON_OBJECTS += crc32c.o
endif

SCTP_HEADERS= \
	${INCLUDE_LINUX}/sctp.h \
	${INCLUDE_SCTP}/sctp.h \
	${INCLUDE_SCTP}/structs.h \
	${INCLUDE_SCTP}/constants.h \
	${INCLUDE_SCTP}/sm.h \


FRAME_OBJECTS=test_kernel.o funutil.o ${COMMON_OBJECTS}

FRAME_V6_OBJECTS=test_kernel_v6.o funutil_v6.o ${COMMON_OBJECTS} 	

PASSING_UNIT_TESTS = \
	test_inqueue \
	test_ulpqueue \
	test_packet \
	test_command \
	test_sn_compare \
	test_tsnmap \
	test_cmsgs \
	test_ulpevent \

PASSING_FRAME_TESTS = \
	ft_frame_basic \
	ft_frame_hbACK \
	ft_frame_lostpackets \
	ft_frame_lostpacket \
	ft_frame_evenpackets \
	ft_frame_abort \
	ft_frame_no_data \
	ft_frame_send_failed \
	ft_frame_ecn_negotiate \
	ft_frame_ecn_basic \
	ft_frame_init_ack \
	ft_frame_rwnd_sender \
	ft_frame_sack \
	ft_frame_port \
	ft_frame_local_addr \
	ft_frame_getfreeaddrs \
	ft_frame_sndrcvinfo \
	ft_frame_dftsndparam \
	ft_frame_bindx \
	ft_frame_nobind \
	ft_frame_addr_cookie \
	ft_frame_init_timer \
	ft_frame_rtx_timer \
	ft_frame_t2_shutdown_timer \
	ft_frame_shutdown \
	ft_frame_init_streams \
	ft_frame_sockopt \
	ft_frame_fragments \
	ft_frame_maxseg \
	ft_frame_lostlink \
	ft_frame_rto \
	ft_frame_rto_sockopt \
	ft_frame_ootb \
	ft_frame_biggap \
	ft_frame_tsnmap_rollover \
	ft_frame_congestion \
	ft_frame_assoc_shutdown \
	ft_frame_assoc_abort\
	ft_frame_autoclose \
	ft_frame_peeloff \
	ft_frame_init1 \
	ft_frame_init2 \
	ft_frame_crossinit \
	ft_frame_init4 \
	ft_frame_init5 \
	ft_frame_stale_cookie \
	ft_frame_missing_cookie \
	ft_frame_lost_cookie_ack \
	ft_frame_restart \
	ft_frame_unkparam \
	ft_frame_unkchunk \
	ft_frame_tx_bug1 \
	ft_frame_multihoming \
	ft_frame_rtx_order \
	ft_frame_rtx_gapack \
	ft_frame_source_addr \
	ft_frame_addrover \
	ft_frame_lost_cwr \
	ft_frame_heartbeat \
	ft_frame_connect \
	ft_frame_connectx \
	ft_frame_connectx_t1_timer \
	ft_frame_connectx_t1_timer_fail \
	ft_frame_connectx_collision1 \
	ft_frame_connectx_collision2 \
	ft_frame_connectx_collision3 \
	ft_frame_recvmsg \
	ft_frame_rwnd_receiver \
	ft_frame_part_delivery \
	ft_frame_renege \
	ft_frame_pmtu \
	ft_frame_bigdata \
	ft_frame_retran_path \
	ft_frame_basic_nat \
	ft_frame_tcp_style \
	ft_frame_CACC \
	ft_frame_kamikaze \
	ft_frame_addip_set_prim \
	ft_frame_addip_bindx \
	ft_frame_delip_bindx \
	ft_frame_t4_timer \
	ft_frame_prsctp \
	ft_frame_invalid_length \
	ft_frame_cookie_ports \
	ft_frame_hb_rtx

PASSING_V6_FRAME_TESTS = \
	ft_frame_basic_v6 \
	ft_frame_sockopt_v6 \
	ft_frame_bindx_v6 \
	ft_frame_heartbeat_v6 \
	ft_frame_connectx_v6 \
	ft_frame_connectx_t1_timer_v6 \
	ft_frame_connectx_t1_timer_fail_v6 \
	ft_frame_connectx_collision1_v6 \
	ft_frame_connectx_collision2_v6 \
	ft_frame_connectx_collision3_v6 \
	ft_frame_nobind_v6 \
	ft_frame_v4_mapped_v6 \
	ft_frame_local_addr_v6 \
	ft_frame_source_addr_v6 \
	ft_frame_ecn_basic_v6 \
	ft_frame_peeloff_v6 \
	ft_frame_tcp_style_v6 \
	ft_frame_getfreeaddrs_v6 \
	ft_frame_addip_set_prim_v6 \
	ft_frame_addip_bindx_v6 \
	ft_frame_delip_bindx_v6 \
	ft_frame_t4_timer_v6

FAILING_TESTS = \
	ft_frame_init_bomb \
	ft_frame_fast_rtx \

FAILING_V6_FRAME_TESTS = \
	ft_frame_fragments_v6 \
	ft_frame_maxseg_v6 \

TARGETS = ${PASSING_UNIT_TESTS} ${PASSING_FRAME_TESTS} \
	${PASSING_V6_FRAME_TESTS} ${FAILING_V6_FRAME_TESTS} \
	${FAILING_TESTS} \

all:	${TARGETS}

run1: $(RUN1)
	@a=$^;				\
	echo "./$$a";			\
	if ./$$a;			\
	then				\
		echo "$$a passes";	\
		echo "";		\
	else				\
		echo "$$a fails";	\
		exit 1;			\
	fi;				\
	

unit_test: ${PASSING_UNIT_TESTS}
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "$$a passes";	\
			echo "";		\
		else				\
			echo "$$a fails";	\
			exit 1;			\
		fi;				\
	done
	@echo "Yahoo!"

frame_test:  ${PASSING_FRAME_TESTS}
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "$$a passes";	\
			echo "";		\
		else				\
			echo "$$a fails";	\
			exit 1;			\
		fi;				\
	done
	@echo "Yippee!"

framev6_test:  ${PASSING_V6_FRAME_TESTS}
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "$$a passes";	\
			echo "";		\
		else				\
			echo "$$a fails";	\
			exit 1;			\
		fi;				\
	done
	@echo "Yippee!"


# These are functional tests which are known to fail.
# Works In Progress
wip: ${FAILING_TESTS} ${FAILING_V6_FRAME_TESTS}
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "Oh no!  $$a passes?";	\
			exit 1;			\
		else				\
			echo "Good, $$a still fails.";	\
			echo "";		\
		fi;				\
	done
	rm -f core
	@echo "They all still fail.  Great.  Just great."

# These are tests for live kernels which pass.
kern_test: ${PASSING_KERN_TESTS}
	make -C ../src/func_tests v4test			
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "$$a passes";	\
			echo "";		\
		else				\
			echo "$$a fails";	\
			exit 1;			\
		fi;				\
	done
	@echo "Hoody hoo!"


# These are tests for live kernels which pass.
kernv6_test: ${PASSING_V6_KERN_TESTS}
	make -C ../src/func_tests v6test			
	@echo "Hoody hoo!"

# These are functional tests for live kernels which are known to fail.
# Kernel Works In Progress
kwip: ${FAILING_KERN_TESTS}
	@for a in $^;				\
	do 					\
		echo "./$$a";			\
		if ./$$a;			\
		then				\
			echo "Oh no!  $$a passes?";	\
			exit 1;			\
		else				\
			echo "Good, $$a still fails.";	\
			echo "";		\
		fi;				\
	done
	rm -f core
	@echo "They all still fail.  Great.  Just great."

ft_frame_basic: ft_frame_basic.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_basic_v6: ft_frame_basic_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_basic_nat: ft_frame_basic_nat.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_abort: ft_frame_abort.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_no_data: ft_frame_no_data.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_send_failed: ft_frame_send_failed.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init_bomb: ft_frame_init_bomb.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init_ack: ft_frame_init_ack.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_lostpackets: ft_frame_lostpackets.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_lostpacket: ft_frame_lostpacket.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_lostlink: ft_frame_lostlink.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_evenpackets: ft_frame_evenpackets.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init_timer: ft_frame_init_timer.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_rtx_timer: ft_frame_rtx_timer.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_t2_shutdown_timer: ft_frame_t2_shutdown_timer.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_shutdown: ft_frame_shutdown.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_rto: ft_frame_rto.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_congestion: ft_frame_congestion.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_assoc_shutdown: ft_frame_assoc_shutdown.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_assoc_abort: ft_frame_assoc_abort.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_hbACK: ft_frame_hbACK.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init1: ft_frame_init1.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init2: ft_frame_init2.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_crossinit: ft_frame_crossinit.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init4: ft_frame_init4.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_init5: ft_frame_init5.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_restart: ft_frame_restart.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_stale_cookie: ft_frame_stale_cookie.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_missing_cookie: ft_frame_missing_cookie.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_lost_cookie_ack: ft_frame_lost_cookie_ack.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_port: ft_frame_port.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_local_addr: ft_frame_local_addr.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_local_addr_v6: ft_frame_local_addr_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_source_addr_v6: ft_frame_source_addr_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_ecn_negotiate: ft_frame_ecn_negotiate.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_lost_cwr: ft_frame_lost_cwr.o  ${FRAME_OBJECTS}
	${CC} ${CFLAGS} -o $@ $^

ft_frame_ecn_basic_v6: ft_frame_ecn_basic_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_ecn_basic: ft_frame_ecn_basic.o  ${FRAME_OBJECTS}

ft_frame_tsnmap_rollover: ft_frame_tsnmap_rollover.o  ${FRAME_OBJECTS}

ft_frame_rwnd_receiver: ft_frame_rwnd_receiver.o  ${FRAME_OBJECTS}

ft_frame_rwnd_sender: ft_frame_rwnd_sender.o  ${FRAME_OBJECTS}

ft_frame_biggap: ft_frame_biggap.o  ${FRAME_OBJECTS}

ft_frame_sack: ft_frame_sack.o  ${FRAME_OBJECTS}

ft_frame_sndrcvinfo: ft_frame_sndrcvinfo.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_dftsndparam: ft_frame_dftsndparam.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_bindx: ft_frame_bindx.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_bindx_v6: ft_frame_bindx_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_heartbeat_v6: ft_frame_heartbeat_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_connectx_v6: ft_frame_connectx_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_connectx_t1_timer_v6: ft_frame_connectx_t1_timer_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_connectx_t1_timer_fail_v6: ft_frame_connectx_t1_timer_fail_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} -DTEST_FAIL=1 ${CFLAGS} -o $@ $^

ft_frame_connectx_collision1_v6: ft_frame_connectx_collision1_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_connectx_collision2_v6: ft_frame_connectx_collision2_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_connectx_collision3_v6: ft_frame_connectx_collision3_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_sockopt: ft_frame_sockopt.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_rto_sockopt: ft_frame_rto_sockopt.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

ft_frame_sockopt_v6: ft_frame_sockopt_v6.o  ${FRAME_V6_OBJECTS}
	${CC} ${V6FLAGS} ${CFLAGS} -o $@ $^

ft_frame_fragments: ft_frame_fragments.o  ${FRAME_OBJECTS}
	${CC} -DTEST_V6=0 ${CFLAGS} -o $@ $^

## lksctp-tools 1.0.11+dfsg

=== debian/changelog ===
lksctp-tools (1.0.11+dfsg-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
  * Bump debhelper compatibility level to 8. Update Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.1. No further changes.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Convert debian/rules to use dh.
    - Add debian/lksctp-tools.docs to install README and AUTHORS file.
  * debian/patches/01-withsctp-quote-command-line-args.patch
    - Properly quote command line arguments in withsctp. (Closes: #606322)

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 08:05:43 +0100

lksctp-tools (1.0.11+dfsg-1) unstable; urgency=low

  * New upstream release
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * Bump Standards-Version to 3.8.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Oct 2009 05:01:29 +0200

lksctp-tools (1.0.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackaged upstream tarball to remove non-free documentation in doc/*.
  * debian/copyright
    - Add a note why the upstream tarball has been repackaged and which files
      have been removed.
  * debian/watch
    - Fix regex to match version numbers with more than one digit.
    - Use +dfsg suffix.
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.
  * debian/libsctp1.symbols
    - The sctp_connectx() function was updated to conform to the spec.
      To preserve the ABI, symbol versioning has been added by upstream.
      Update the symbols file accordingly.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Apr 2009 11:53:58 +0200

lksctp-tools (1.0.9.dfsg-2) unstable; urgency=low

  * debian/rules 
    - Stop mangling paths in withsctp, fixed upstream.
    - Include debhelper.mk before any other files as recommended by the cdbs
      documentation.
    - Remove DEB_SHLIBDEPS_INCLUDE, dpkg-shlibdeps works fine without it
      nowadays.
  * debian/control
    - Add ${misc:Depends} to libsctp-dev package.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/copyright
    - Refer to the versioned LGPL-2.1 and GPL-2 files in
      /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 15:26:55 +0100

lksctp-tools (1.0.9.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    - Bump Standards-Version to 3.8.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2008 01:46:41 +0200

lksctp-tools (1.0.8.dfsg-2) unstable; urgency=low

  * Add symbols file for libsctp1. 

 -- Michael Biebl <biebl@debian.org>  Fri, 30 May 2008 03:30:42 +0200

lksctp-tools (1.0.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/man/withsctp.1
    - Add missing .SH stanza to the AUTHORS section.
  * debian/rules
    - Pass the correct expression directly to sed instead of using the
      external fix.withsctp file.
  * debian/fix.withsctp
    - Removed, no longer required.
  * debian/control
    - Drop Conflicts with sctplib which has become obsolete and removed from
      the archive. The last version available is in sarge (oldstable).

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2008 19:33:28 +0100

lksctp-tools (1.0.7.dfsg-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop Recommends: linux-image-2.6-486 | linux-image-2.6 for libsctp1.
      The default Linux kernel in Debian is now 2.6, so this has become
      obsolete.

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Jan 2008 00:33:12 +0100

lksctp-tools (1.0.7.dfsg-2) unstable; urgency=low

  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Update the package recommendations: 
      kernel-image-2.6 is no longer available in the archive, so remove it.
      linux-image-2.6-386 has been superseded by linux-image-2.6-486.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Oct 2007 19:01:00 +0200

lksctp-tools (1.0.7.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repacked upstream tarball to remove non-free documentation in doc/*.
  * debian/control
    + Replace Source-Version with binary:Version.
    + Drop Build-Depends on linux-kernel-headers, automake1.9, autoconf,
      and libtool, add autotools-dev.
  * debian/patches/man_page_sctp_recvmsg_fix.diff
    + Removed, merged upstream.
  * debian/rules
    + Do not regenerate the autotools build system anymore.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2007 18:24:18 +0200

lksctp-tools (1.0.6.dfsg-4) unstable; urgency=low

  * Update maintainer email address to biebl@debian.org. 

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Oct 2006 20:23:28 +0200

lksctp-tools (1.0.6.dfsg-3) unstable; urgency=low

  * Drop debconf note (closes: #388917). 
    Debian now ships an SCTP enabled kernel by default.

 -- Michael Biebl <biebl@teco.edu>  Fri, 29 Sep 2006 01:25:16 +0200

lksctp-tools (1.0.6.dfsg-2) unstable; urgency=low

  * Updated watch file to match the .dfsg version appendix.
  * Bumped debhelper compatibility to 5.
  * Fixed a bug in the debconf template and updated the translations. Switched
    the German translation to UTF-8.

 -- Michael Biebl <biebl@teco.edu>  Wed, 17 May 2006 09:47:02 +0200

lksctp-tools (1.0.6.dfsg-1) unstable; urgency=low

  * Removed non-free documentation (closes: #365178).
    + Repackaged upstream tarball and removed doc/draft*.txt and doc/rfc*.txt.
    + Dropped the package lksctp-tools-doc completely. People interested in
      the documentation should go to the project homepage. You can find the
      links to the drafts and RFCs there.


=== debian/control ===
Source: lksctp-tools
Section: net
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev
Standards-Version: 3.9.1
Homepage: http://lksctp.sf.net/

Package: libsctp1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lksctp-tools
Description: user-space access to Linux Kernel SCTP - shared library
 This library is part of the LKSCTP project for the
 Linux Kernel SCTP reference implementation.
 .
 This package is intended to supplement the Linux Kernel
 SCTP reference implementation now available in the Linux
 kernel source tree in versions 2.5.36 respectively 2.4.24 and following.
 .
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC2960 defines the core protocol.

Package: libsctp-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
Description: user-space access to Linux Kernel SCTP - development files
 This package contains all necessary files for developing SCTP aware
 network applications using the Linux Kernel SCTP implementation.
 It is part of the LKSCTP project for the Linux Kernel SCTP
 reference implementation.
 .
 It includes man pages, header files, static libraries, symlinks to
 dynamic libraries and tutorial source code.
 .
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC2960 defines the core protocol.

Package: lksctp-tools
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-space access to Linux Kernel SCTP - commandline tools
 Commandline tools and libraries to test SCTP functionality
 .
 This package is part of the LKSCTP project.
 .
 It includes the following commandline tools:
  * checksctp: Determine if kernel supports SCTP
  * withsctp: Run existing TCP binaries over SCTP
  * sctp_darn: Send and receive messages via SCTP
  * sctp_test: Userspace test application for the SCTP kernel
    reference implementation
 .
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC2960 defines the core protocol.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

# Do not create a shlibs file for libwithsctp.
override_dh_makeshlibs:
	dh_makeshlibs -Xlibwithsctp

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://sf.net/lksctp/lksctp-tools-([\d\.]+)\.tar\.gz

## lksctp-tools 1.0.15+dfsg

=== debian/changelog ===
lksctp-tools (1.0.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove 01-withsctp-quote-command-line-args.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 May 2013 23:32:14 +0200

lksctp-tools (1.0.14+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 May 2013 08:45:31 +0200

lksctp-tools (1.0.14+dfsg-2) experimental; urgency=low

  * Cherry-pick patch from upstream Git to properly fix quoted command line
    arguments in withsctp. (Closes: #705171)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Apr 2013 17:32:42 +0200

lksctp-tools (1.0.14+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Use the bootstrap script provided by upstream when running dh_autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Apr 2013 14:00:59 +0200

lksctp-tools (1.0.13+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Move packaging to collab-maint using git and git-puildpackage.
  * Add Vcs-* headers accordingly.
  * Use pristine-tar with git-buildpackage.
  * Use repack script from pkg-perl to automatically remove the non-free rfc
    documents. See http://pkg-perl.alioth.debian.org/howto/repacking.html.
  * Generate build system using dh-autoreconf.
  * Update symbols file for libsctp1.
  * Strip debian/tmp/ from .install files.
  * Fold libsctp-dev.manpages into libsctp-dev.install.
  * Use dh_install --list-missing to show uninstalled files.
  * Stop installing libtool .la files.
  * Bump debhelper compatibility level to 9 which enables multi-arch in dh.
  * Install library files from multi-arch paths and mark libsctp1 as
    Multi-Arch: same.
  * Rewrite copyright file using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.4.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 05:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.4
+Vcs-Git: git://git.debian.org/git/collab-maint/lksctp-tools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lksctp-tools.git;a=summary
 Homepage: http://lksctp.sf.net/
 
 Package: libsctp1
 Section: libs
 Priority: optional
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lksctp-tools
 Description: user-space access to Linux Kernel SCTP - shared library

## lksctp-tools 1.0.16+dfsg

=== debian/changelog ===
lksctp-tools (1.0.16+dfsg-3) unstable; urgency=medium

  * libsctp1: Demote lksctp-tools from Recommends to Suggests.
  * Rework package descriptions. (Closes: #707739)
    Thanks Martin Eberhard Schauer and Justin B Rye.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Vcs-* fields to use the canonical Alioth URLs and use https for
    Vcs-Browser.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Sep 2015 18:09:51 +0200

lksctp-tools (1.0.16+dfsg-2) unstable; urgency=medium

  * Mark binary packages as linux-any.
    lksctp-tools is Linux specific and FTBFS on kFreeBSD and GNU/Hurd.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Apr 2014 10:07:50 +0200

lksctp-tools (1.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2014 18:08:35 +0100

=== debian/control ===
Source: lksctp-tools
Section: net
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/lksctp-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lksctp-tools.git
Homepage: http://lksctp.sf.net/

Package: libsctp1
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lksctp-tools
Description: user-space access to Linux kernel SCTP - shared library
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC 2960 defines the core protocol.
 .
 This library is part of the LKSCTP project, supplementing the Linux
 kernel SCTP implementation.

Package: libsctp-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
Description: user-space access to Linux kernel SCTP - development files
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC 2960 defines the core protocol.
 .
 This package is part of the LKSCTP project, providing all necessary
 files for developing SCTP aware network applications using the Linux
 kernel SCTP implementation: man pages, header files, static libraries,
 symlinks to dynamic libraries, and tutorial source code.

Package: lksctp-tools
Section: net
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-space access to Linux kernel SCTP - commandline tools
 SCTP (Stream Control Transmission Protocol) is a message oriented,
 reliable transport protocol, with congestion control, support for
 transparent multi-homing, and multiple ordered streams of messages.
 RFC 2960 defines the core protocol.
 .
 This package is part of the LKSCTP project, and contains libraries and
 commandline tools to test SCTP functionality:
  * checksctp: determine if kernel supports SCTP
  * withsctp: run existing TCP binaries over SCTP
  * sctp_darn: send and receive messages via SCTP
  * sctp_test: check SCTP functionality from user-space

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

# Do not create a shlibs file for libwithsctp.
override_dh_makeshlibs:
	dh_makeshlibs -Xlibwithsctp

override_dh_install:
	dh_install --list-missing

## lksctp-tools 1.0.17+dfsg

=== debian/changelog ===
lksctp-tools (1.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Stop overriding dh_autoreconf, not really necessary anymore.
  * Install new pkg-config file.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 17:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/lksctp-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lksctp-tools.git
 Homepage: http://lksctp.sf.net/

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 %:
 	dh $@ --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf ./bootstrap
 
 # Do not create a shlibs file for libwithsctp.
 override_dh_makeshlibs:

## lksctp-tools 1.0.18+dfsg

=== debian/changelog ===
lksctp-tools (1.0.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Update debian/watch to track new upstream releases on GitHub
  * Use Files-Excluded to remove non-DFSG-free drafts and RFCs
  * Make no-patch-numbers the default for gbp pq
  * Bump Standards-Version to 4.2.1
  * Fix installation of netinet/sctp.h
  * Update library version-info to match current upstream version

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Sep 2018 23:34:02 +0200

lksctp-tools (1.0.17+dfsg-2) unstable; urgency=medium

  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11
  * Switch to dh_missing and abort on uninstalled files
  * Mark libsctp-dev as Multi-Arch: same

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 22:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/lksctp-tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lksctp-tools.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
+Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
 Homepage: http://lksctp.sf.net/
 
 Package: libsctp1
@@ -29,6 +30,7 @@
 Section: libdevel
 Priority: optional
 Architecture: linux-any
+Multi-Arch: same
 Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
 Description: user-space access to Linux kernel SCTP - development files
  SCTP (Stream Control Transmission Protocol) is a message oriented,

## lksctp-tools 1.0.19+dfsg

=== debian/changelog ===
lksctp-tools (1.0.19+dfsg-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:17 +0200

lksctp-tools (1.0.19+dfsg-2) unstable; urgency=medium

  * Add Build-Depends-Package field to libsctp1.symbols
  * Drop no longer needed override for dh_missing.
    In compat 13 and later, --fail-missing is the default.
  * Use execute_before instead of override for dh_install
  * Bump Standards-Version to 4.6.1
  * Fix copyright notice regarding sctp.h
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2022 20:36:16 +0200

lksctp-tools (1.0.19+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Michael Biebl ]
  * New upstream version 1.0.19+dfsg
  * Drop patches, all merged upstream
  * Update symbols file for libsctp1
  * Switch to debhelper-compat and bump compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Michael Biebl <biebl@debian.org>  Sat, 15 May 2021 15:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lksctp-tools
 Section: net
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
@@ -11,7 +12,6 @@
 
 Package: libsctp1
 Section: libs
-Priority: optional
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +28,6 @@
 
 Package: libsctp-dev
 Section: libdevel
-Priority: optional
 Architecture: linux-any
 Multi-Arch: same
 Depends: libsctp1 (= ${binary:Version}), ${misc:Depends}, libc6-dev | libc-dev
@@ -45,7 +44,6 @@
 
 Package: lksctp-tools
 Section: net
-Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: user-space access to Linux kernel SCTP - commandline tools

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lksctp-tools-$1\.tar\.gz/" \
https://github.com/sctp/lksctp-tools/releases .*/v?(\d\S+)\.tar\.gz

## lksctp-tools 1.0.20+dfsg

=== debian/changelog ===
lksctp-tools (1.0.20+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse,
    Repository.

  [ Michael Biebl ]
  * New upstream version 1.0.20+dfsg
  * Update debian/watch
  * Bump Standards-Version to 4.7.0
  * Update Homepage URL to point at github

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Aug 2024 18:06:04 +0200

## lksctp-tools 1.0.21%2Bdfsg

=== debian/changelog ===
lksctp-tools (1.0.21+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.21+dfsg

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 18:20:41 +0200

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lksctp-tools-$1\.tar\.gz/" \
https://github.com/sctp/lksctp-tools/tags .*/v?(\d\S+)\.tar\.gz

## lksctp-tools 1.0.21+dfsg

=== debian/changelog ===
lksctp-tools (1.0.21+dfsg-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:38:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lksctp-tools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lksctp-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/lksctp-tools
-Homepage: http://lksctp.sf.net/
+Homepage: https://github.com/sctp/lksctp-tools/
 
 Package: libsctp1
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Do not create a shlibs file for libwithsctp.
override_dh_makeshlibs:
	dh_makeshlibs -Xlibwithsctp

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name libwithsctp.a -print -delete
	find debian/tmp -name libwithsctp.so -print -delete
